/* begin Page */

(function($) {
    var data = [
        {str:navigator.userAgent,sub:'Chrome',ver:'Chrome',name:'chrome'},
        {str:navigator.vendor,sub:'Apple',ver:'Version',name:'safari'},
        {prop:window.opera,ver:'Opera',name:'opera'},
        {str:navigator.userAgent,sub:'Firefox',ver:'Firefox',name:'firefox'},
        {str:navigator.userAgent,sub:'MSIE',ver:'MSIE',name:'ie'}];
    for (var n=0;n<data.length;n++)	{
        if ((data[n].str && (data[n].str.indexOf(data[n].sub) != -1)) || data[n].prop) {
            var v = function(s){var i=s.indexOf(data[n].ver);return (i!=-1)?parseInt(s.substring(i+data[n].ver.length+1)):'';};
            $('html').addClass(data[n].name+' '+data[n].name+v(navigator.userAgent) || v(navigator.appVersion)); break;			
        }
    }
})(jQuery);
/* end Page */

/* begin Menu */
jQuery(function () {
    jQuery('ul.srt-hmenu a[href=#]').click(function () { return false; });
    if (!jQuery.browser.msie || parseInt(jQuery.browser.version) > 6) return;
    jQuery.each(jQuery('ul.srt-hmenu li'), function(i, val) {
        val.j = jQuery(val);
        val.UL = val.j.children('ul:first');
        if (val.UL.length == 0) return;
        val.A = val.j.children('a:first');
        this.onmouseenter = function() {
            this.j.addClass('srt-hmenuhover');
            this.UL.addClass('srt-hmenuhoverUL');
            this.A.addClass('srt-hmenuhoverA');
        };
        this.onmouseleave = function() {
            this.j.removeClass('srt-hmenuhover');
            this.UL.removeClass('srt-hmenuhoverUL');
            this.A.removeClass('srt-hmenuhoverA');
        };
    });
});
/* end Menu */

/* begin MenuSubItem */
jQuery(function () {
    jQuery("ul.srt-hmenu ul li").hover(function () { jQuery(this).prev().children("a").addClass("srt-hmenu-before-hovered"); }, 
        function () { jQuery(this).prev().children("a").removeClass("srt-hmenu-before-hovered"); });
});

jQuery(function () {
    if (!jQuery.browser.msie) return;
    var ieVersion = parseInt(jQuery.browser.version);
    if (ieVersion > 7) return;

    /* Fix width of submenu items.
    * The width of submenu item calculated incorrectly in IE6-7. IE6 has wider items, IE7 display items like stairs.
    */
    jQuery.each(jQuery("ul.srt-hmenu ul"), function () {
        var maxSubitemWidth = 0;
        var submenu = jQuery(this);
        var subitem = null;
        jQuery.each(submenu.children("li").children("a"), function () {
            subitem = jQuery(this);
            var subitemWidth = subitem.outerWidth();
            if (maxSubitemWidth < subitemWidth)
                maxSubitemWidth = subitemWidth;
        });
        if (subitem != null) {
            var subitemBorderLeft = parseInt(subitem.css("border-left-width"), 10) || 0;
            var subitemBorderRight = parseInt(subitem.css("border-right-width"), 10) || 0;
            var subitemPaddingLeft = parseInt(subitem.css("padding-left"), 10) || 0;
            var subitemPaddingRight = parseInt(subitem.css("padding-right"), 10) || 0;
            maxSubitemWidth -= subitemBorderLeft + subitemBorderRight + subitemPaddingLeft + subitemPaddingRight;
            submenu.children("li").children("a").css("width", maxSubitemWidth + "px");
        }
    });

    if (ieVersion > 6) return;
    jQuery("ul.srt-hmenu ul>li:first-child>a").css("border-top-width", "1px");
});
/* end MenuSubItem */

/* begin Layout */
jQuery(function () {
     var c = jQuery('div.srt-content');
    if (c.length !== 1) return;
    var s = c.parent().children('.srt-layout-cell:not(.srt-content)');


    if (jQuery.browser.msie && parseInt(jQuery.browser.version) < 8) {
        jQuery(window).bind('resize', function() {
            var w = 0;
            c.hide();
            s.each(function() { w += this.clientWidth; });
            c.w = c.parent().width(); c.css('width', c.w - w + 'px');
            c.show();
        });
    }

    jQuery(window).trigger('resize');
});/* end Layout */

/* begin VMenu */
jQuery(function() {
    if (!jQuery('html').hasClass('ie7')) return;
    jQuery('ul.srt-vmenu li:not(:first-child),ul.srt-vmenu li li li:first-child,ul.srt-vmenu>li>ul').each(function () { jQuery(this).append('<div class="srt-vmenu-separator"> </div><div class="srt-vmenu-separator-bg"> </div>'); });
});


/* end VMenu */

/* begin VMenuSubItem */
jQuery(function () { jQuery("ul.srt-vmenu li li a").append("<span class=\"border-top\"></span><span class=\"border-bottom\"></span>"); });
jQuery(function() {
    if (!jQuery("html").hasClass("ie7")) return;
    jQuery.each(jQuery("ul.srt-vmenu"), function () {
        var width = jQuery(this).innerWidth();
        jQuery.each(jQuery(this).find("li li"), function() {
            var a = jQuery(this).children("a");
            var pl = a.css("padding-left").replace("px", "");
            var pr = a.css("padding-right").replace("px", "");
            var bl = a.css("border-left-width").replace("px", "");
            var br = a.css("border-right-width").replace("px", "");
            a.css("width", width - pl - pr - bl - br);
        });
    });
    jQuery("ul.srt-vmenu li li a.active").parent().addClass("active");
});
/* end VMenuSubItem */

/* begin Button */
function artButtonSetup(className) {
    jQuery.each(jQuery("a." + className + ", button." + className + ", input." + className), function (i, val) {
        var b = jQuery(val);
        if (!b.parent().hasClass('srt-button-wrapper')) {
            if (b.is('input')) b.val(b.val().replace(/^\s*/, '')).css('zoom', '1');
            if (!b.hasClass('srt-button')) b.addClass('srt-button');
            jQuery("<span class='srt-button-wrapper'><span class='srt-button-l'> </span><span class='srt-button-r'> </span></span>").insertBefore(b).append(b);
            if (b.hasClass('active')) b.parent().addClass('active');
        }
        b.mouseover(function () { jQuery(this).parent().addClass("hover"); });
        b.mouseout(function () { var b = jQuery(this); b.parent().removeClass("hover"); if (!b.hasClass('active')) b.parent().removeClass('active'); });
        b.mousedown(function () { var b = jQuery(this); b.parent().removeClass("hover"); if (!b.hasClass('active')) b.parent().addClass('active'); });
        b.mouseup(function () { var b = jQuery(this); if (!b.hasClass('active')) b.parent().removeClass('active'); });
    });
}
jQuery(function() { artButtonSetup("srt-button"); });

/* end Button */



jQuery(function () {
    artButtonSetup("button");
});
